Bug 235446 - squashfs images created with FC5 unreadable by FC6
squashfs images created with FC5 unreadable by FC6
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-04-05 16:23 EDT by Adam Monsen
Modified: 2008-04-04 13:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 13:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Monsen 2007-04-05 16:23:10 EDT
Description of problem:
(certain?) squashfs images created with Fedora Core 5 are unreadable by Fedora
Core 6.

Version-Release number of selected component (if applicable):
Fedora Core 6. Tested with the following kernels:

How reproducible:

Steps to Reproduce:
1. download FC5 and FC6 rescue CDs

wget http://mirrors.kernel.org/fedora/core/5/i386/iso/FC-5-i386-rescuecd.iso
wget http://mirrors.kernel.org/fedora/core/6/i386/iso/FC-6-i386-rescuecd.iso

2. mount both

mkdir fc5r fc6r
mount -o loop FC-5-i386-rescuecd.iso fc5r
mount -o loop FC-6-i386-rescuecd.iso fc6r

3. mount stage2.img from either mounted fs

mkdir fc5i fc6i
mount -o loop -t squashfs fc6r/images/stage2.img fc6i
mount -o loop -t squashfs fc5r/Fedora/base/stage2.img fc5i
Actual results:
mounting stage2.img from FC5 rescue disk fails with the following error:

mount: wrong fs type, bad option, bad superblock on /dev/loop3,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

dmesg | tail shows:

SQUASHFS error: sb_bread failed reading block 0x9e8be8e1
SQUASHFS error: unable to read inode lookup table

Expected results:

Would be able to mount either stage2.img file without errors.

Additional info:

Have not tested with other squashfs images besides these.
Comment 1 Dave Jones 2007-04-09 16:39:55 EDT
updating to the squashfs code in devel/ might make them mountable again, but
there wasn't previously much thought given to backwards compatability, so
there's no guarantees this will work.

Chuck, it should be fairly safe to do an update of that code anyway, as nothing
should be using it.
Comment 2 Chuck Ebbert 2007-04-09 16:52:35 EDT
Should we put the new squashfs code from devel in both FC5 and FC6?

I doubt that will make the FC5 images readable.

Comment 3 Jon Stanley 2008-01-07 20:52:44 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Adam Monsen 2008-01-09 21:05:01 EST
Does not reproduce on Fedora 8.
Comment 5 Bug Zapper 2008-04-04 02:47:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Adam Monsen 2008-04-04 10:16:39 EDT
> If you are unable to do this, please add a comment to this
> bug requesting the change.

As mentioned earlier, this bug does not repro in Fedora 8. (yay!)

Note You need to log in before you can comment on or make changes to this bug.